Skip to main content

List Agreement Events

GET 

/agreements/:agreement_id/events

Lists all events for the agreement (excluding specific events related to participants). The events are returned in ascending order by creation date. Events are read only.

Request​

Path Parameters

    agreement_id cuidrequired

    GET /agreements/:agreement_id/events parameter

Responses​

GET /agreements/:agreement_id/events Successful response

Schema
    version stringrequired

    Possible values: [1.0]

    The version of the response schema

    result_type stringrequired

    Possible values: [list]

    A non-paginated list of the agreement event resource.

    resource_type stringrequired

    Possible values: [agreement_event]

    Data contains the agreement event resource.

    data object[]required
  • Array [
  • id cuidrequired

    The unique identifier of the agreement event

    resource_type stringrequired

    Possible values: [agreement_event]

    agreement cuidrequired

    The unique identifier of the agreement which this event belongs to

    title stringrequired

    Possible values: non-empty

    The title of the agreement event

    description stringrequired

    Possible values: non-empty

    The description of the agreement event

    created_at stringrequired

    UTC datetime ISO string

    updated_at stringrequired

    UTC datetime ISO string

  • ]
Loading...